      IMPLICIT NONE
	 
	  character*198  buf
      INTEGER    pt(64)
      INTEGER    i,j
      INTEGER    maxfct,mnum,mtype,phase,n,nrhs,msglvl,error
      INTEGER    iparm(64)

      INTEGER    ia(66),ja(252),perm(65)
      REAL*8     a(252),b(65,1),x(65,1)

      maxfct=1
      mnum=1
      mtype=2
      phase=13
      n=65
      nrhs=1
      msglvl=0
      DO i=1,n
         perm(i)=0
      ENDDO

c     Initialize the output parameters
      do j=1,nrhs
         do i=1,n
            x(i,j)=0.0d0
         enddo
      enddo
      error=0

c     Read the data that gets passed to Pardiso for this test
c gf     open(98,FILE='C:\Work\PardisoData.TXT')
	  open(98,FILE='C:\_tmp_work\_Forums\u696757\PardisoData.TXT') 
      read(98,*)
      read(98,*) a
      read(98,*)
      read(98,*) ia
      read(98,*)
      read(98,*) ja
      read(98,*)
      read(98,*) b
      close(98)

	  WRITE(*,*) " ********************************************** "
		  call mkl_get_version_string (buf)
	  WRITE(*,'(a)') buf		
	  WRITE(*,*) " ********************************************** "

      CALL PardisoInit (pt, mtype, iparm)
      phase=13  ! Analyse, factorize and solve

	  WRITE(*,*) ".... before Pardiso call ......."
      CALL Pardiso (pt, maxfct, mnum, mtype, phase, n, a, ia, ja
     c             ,perm, nrhs, iparm, msglvl, b, x, error)

	  WRITE(*,*) " after Pardiso call, phase == 13, ERROR == ", error
	  WRITE(*,*) " ********************************************** "
		
	  
	  phase=-1  ! Release memory
      CALL Pardiso (pt, maxfct, mnum, mtype, phase, n, a, ia, ja
     c             ,perm, nrhs, iparm, msglvl, b, x, error)

	  WRITE(*,*) " ********************************************** "
	  WRITE(*,*) " after Pardiso call, Phase ==-1, ERROR == ", error

	  WRITE(*,*) " ... X  ...==", x

      END
